package it.eng.test.dosgi.helloconsumer;

import org.osgi.service.component.ComponentContext;

import it.eng.test.dosgi.hello.IHello;

public class HelloConsumer {
	
	private IHello hello;

	public void bindHello(IHello h) {
        hello = h;
        System.out.println("binded");
    }

    public void unbindHello(IHello h) {
        hello = null;
        System.out.println("unbinded");
    }

    public void start(ComponentContext bc) {
    	System.out.println("started");
       System.out.println(hello.sayHello(System.getProperty("os.name")));
    }
	
}
